package com.zd.laboratory.mapper;

import com.zd.laboratory.domain.LabSubject;
import com.zd.laboratory.domain.bigview.HardwareState;
import com.zd.laboratory.domain.bigview.HazardTotal;
import com.zd.laboratory.domain.bigview.SenseState;
import com.zd.laboratory.domain.vo.LabOnlineSubVO;
import com.zd.laboratory.domain.vo.LabSubjectVO;
import com.zd.system.api.domain.SysUser;

import java.util.List;
import java.util.Map;

/**
 * @Author: zhoupan
 * @Date: 2021/09/13/15:21
 * @Description:
 */
public interface LabHardwareStateMapper {
    /**
     * 查询硬件状态统计
     *
     * @return
     */
    List<HardwareState> queryHardwareState();

    /**
     * 查询传感器状态统计
     *
     * @return
     */
    List<SenseState> querySenseState();

    /**
     * 查询危险源统计
     *
     * @return
     */
    List<HazardTotal> queryHazardRank();


    /**
     * 查询重点实验室
     *
     * @param size
     * @return
     */
    List<LabSubject> queryFocusSub(int size);

    /**
     * 查询重点实验室
     *
     * @return
     */
    List<com.zd.system.api.laboratory.domain.LabSubject> querySubOnline(Map<String, Object> params);


    /**
     * 查询重点实验室
     *
     * @return
     */
    List<LabOnlineSubVO> onlineByBigView(LabSubjectVO labSubjectVO);

    List<SysUser> querySubOnlineUser(Map<String, Object> params);


    List<SysUser> querySubOnlineUserByOnepc(Map<String, Object> params);
}
